diff --git a/pengine/test10/whitebox-ms-ordering.exp b/pengine/test10/whitebox-ms-ordering.exp
index 5d32d6fc6..de4f4d052 100644
--- a/pengine/test10/whitebox-ms-ordering.exp
+++ b/pengine/test10/whitebox-ms-ordering.exp
@@ -384,80 +384,152 @@
         <rsc_op id="5" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <rsc_op id="8" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node2" on_node_uuid="2"/>
+        <rsc_op id="10" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <rsc_op id="11" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node3" on_node_uuid="3"/>
+        <rsc_op id="15" operation="monitor" operation_key="lxc-ms_monitor_0" internal_operation_key="lxc-ms:0_monitor_0" on_node="18node3" on_node_uuid="3"/>
       </trigger>
       <trigger>
-        <pseudo_event id="26" operation="stopped" operation_key="lxc-ms-master_stopped_0"/>
+        <pseudo_event id="32" operation="stopped" operation_key="lxc-ms-master_stopped_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="30" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
+        <pseudo_event id="36" operation="demoted" operation_key="lxc-ms-master_demoted_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="26">
     <action_set>
-      <rsc_op id="32" operation="monitor" operation_key="lxc1_monitor_30000" on_node="18node1" on_node_uuid="1">
+      <rsc_op id="38" operation="monitor" operation_key="lxc1_monitor_30000" on_node="18node1" on_node_uuid="1">
         <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container1" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="31" operation="start" operation_key="lxc1_start_0" on_node="18node1" on_node_uuid="1"/>
+        <rsc_op id="37" operation="start" operation_key="lxc1_start_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="27">
     <action_set>
-      <rsc_op id="31" operation="start" operation_key="lxc1_start_0" on_node="18node1" on_node_uuid="1">
+      <rsc_op id="37" operation="start" operation_key="lxc1_start_0" on_node="18node1" on_node_uuid="1">
         <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container1" CRM_meta_name="start" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="14" operation="start" operation_key="container1_start_0" on_node="18node1" on_node_uuid="1"/>
+        <rsc_op id="6" operation="monitor" operation_key="lxc1_monitor_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="35" operation="stonith_complete" operation_key="stonith_complete"/>
+        <rsc_op id="11" operation="monitor" operation_key="lxc1_monitor_0" on_node="18node2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="lxc1_monitor_0" on_node="18node3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="start" operation_key="container1_start_0" on_node="18node1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <pseudo_event id="41" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="28">
     <action_set>
-      <rsc_op id="34" operation="monitor" operation_key="lxc2_monitor_30000" on_node="18node1" on_node_uuid="1">
+      <rsc_op id="16" operation="monitor" operation_key="lxc1_monitor_0" on_node="18node3" on_node_uuid="3">
+        <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="18node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="29">
+    <action_set>
+      <rsc_op id="11" operation="monitor" operation_key="lxc1_monitor_0" on_node="18node2" on_node_uuid="2">
+        <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="30">
+    <action_set>
+      <rsc_op id="6" operation="monitor" operation_key="lxc1_monitor_0" on_node="18node1" on_node_uuid="1">
+        <primitive id="lxc1" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container1" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="31">
+    <action_set>
+      <rsc_op id="40" operation="monitor" operation_key="lxc2_monitor_30000" on_node="18node1" on_node_uuid="1">
         <primitive id="lxc2" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container2" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="30000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="33" operation="start" operation_key="lxc2_start_0" on_node="18node1" on_node_uuid="1"/>
+        <rsc_op id="39" operation="start" operation_key="lxc2_start_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="29">
+  <synapse id="32">
     <action_set>
-      <rsc_op id="33" operation="start" operation_key="lxc2_start_0" on_node="18node1" on_node_uuid="1">
+      <rsc_op id="39" operation="start" operation_key="lxc2_start_0" on_node="18node1" on_node_uuid="1">
         <primitive id="lxc2" class="ocf" provider="pacemaker" type="remote"/>
         <attributes CRM_meta_container="container2" CRM_meta_name="start" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="15" operation="start" operation_key="container2_start_0" on_node="18node1" on_node_uuid="1"/>
+        <rsc_op id="7" operation="monitor" operation_key="lxc2_monitor_0" on_node="18node1" on_node_uuid="1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="35" operation="stonith_complete" operation_key="stonith_complete"/>
+        <rsc_op id="12" operation="monitor" operation_key="lxc2_monitor_0" on_node="18node2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="lxc2_monitor_0" on_node="18node3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="start" operation_key="container2_start_0" on_node="18node1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <pseudo_event id="41" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="30">
+  <synapse id="33">
     <action_set>
-      <pseudo_event id="37" operation="stonith" operation_key="stonith-lxc2-reboot" on_node="lxc2" on_node_uuid="lxc2">
+      <rsc_op id="17" operation="monitor" operation_key="lxc2_monitor_0" on_node="18node3" on_node_uuid="3">
+        <primitive id="lxc2" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container2" CRM_meta_on_node="18node3" CRM_meta_on_node_uuid="3" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="34">
+    <action_set>
+      <rsc_op id="12" operation="monitor" operation_key="lxc2_monitor_0" on_node="18node2" on_node_uuid="2">
+        <primitive id="lxc2" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container2" CRM_meta_on_node="18node2" CRM_meta_on_node_uuid="2" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="35">
+    <action_set>
+      <rsc_op id="7" operation="monitor" operation_key="lxc2_monitor_0" on_node="18node1" on_node_uuid="1">
+        <primitive id="lxc2" class="ocf" provider="pacemaker" type="remote"/>
+        <attributes CRM_meta_container="container2" CRM_meta_on_node="18node1" CRM_meta_on_node_uuid="1" CRM_meta_op_target_rc="7" CRM_meta_timeout="30000" />
+      </rsc_op>
+    </action_set>
+    <inputs/>
+  </synapse>
+  <synapse id="36">
+    <action_set>
+      <pseudo_event id="43" operation="stonith" operation_key="stonith-lxc2-reboot" on_node="lxc2" on_node_uuid="lxc2">
         <attributes CRM_meta_master_lxc_ms="5" CRM_meta_on_node="lxc2" CRM_meta_on_node_uuid="lxc2" CRM_meta_stonith_action="reboot" />
         <downed>
           <node id="lxc2"/>
@@ -466,9 +538,9 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="31">
+  <synapse id="37">
     <action_set>
-      <pseudo_event id="36" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1">
+      <pseudo_event id="42" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1">
         <attributes CRM_meta_master_lxc_ms="10" CRM_meta_on_node="lxc1" CRM_meta_on_node_uuid="lxc1" CRM_meta_stonith_action="reboot" />
         <downed>
           <node id="lxc1"/>
@@ -477,22 +549,22 @@
     </action_set>
     <inputs/>
   </synapse>
-  <synapse id="32">
+  <synapse id="38">
     <action_set>
-      <pseudo_event id="35" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="41" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="36" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1"/>
+        <pseudo_event id="42" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="37" operation="stonith" operation_key="stonith-lxc2-reboot" on_node="lxc2" on_node_uuid="lxc2"/>
+        <pseudo_event id="43" operation="stonith" operation_key="stonith-lxc2-reboot" on_node="lxc2" on_node_uuid="lxc2"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="33">
+  <synapse id="39">
     <action_set>
       <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped">
         <attributes />
@@ -500,13 +572,13 @@
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="17" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0"/>
+        <pseudo_event id="23" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="20" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0"/>
+        <pseudo_event id="26" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="35" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="41" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
diff --git a/pengine/test10/whitebox-ms-ordering.summary b/pengine/test10/whitebox-ms-ordering.summary
index 5d7c042bb..365cf8d6d 100644
--- a/pengine/test10/whitebox-ms-ordering.summary
+++ b/pengine/test10/whitebox-ms-ordering.summary
@@ -27,6 +27,12 @@ Executing cluster transition:
  * Resource action: lxc-ms          monitor on 18node2
  * Resource action: lxc-ms          monitor on 18node1
  * Pseudo action:   lxc-ms-master_demote_0
+ * Resource action: lxc1            monitor on 18node3
+ * Resource action: lxc1            monitor on 18node2
+ * Resource action: lxc1            monitor on 18node1
+ * Resource action: lxc2            monitor on 18node3
+ * Resource action: lxc2            monitor on 18node2
+ * Resource action: lxc2            monitor on 18node1
  * Pseudo action:   stonith-lxc2-reboot on lxc2
  * Pseudo action:   stonith-lxc1-reboot on lxc1
  * Pseudo action:   stonith_complete
diff --git a/pengine/test10/whitebox-nested-group.dot b/pengine/test10/whitebox-nested-group.dot
index 2e41e3e99..e149f9aac 100644
--- a/pengine/test10/whitebox-nested-group.dot
+++ b/pengine/test10/whitebox-nested-group.dot
@@ -1,4 +1,10 @@
  digraph "g" {
+"c7auto4_monitor_0 c7auto1" -> "c7auto4_start_0 c7auto1" [ style = bold]
+"c7auto4_monitor_0 c7auto1" [ style=bold color="green" fontcolor="black"]
+"c7auto4_monitor_0 c7auto2" -> "c7auto4_start_0 c7auto1" [ style = bold]
+"c7auto4_monitor_0 c7auto2" [ style=bold color="green" fontcolor="black"]
+"c7auto4_monitor_0 c7auto3" -> "c7auto4_start_0 c7auto1" [ style = bold]
+"c7auto4_monitor_0 c7auto3" [ style=bold color="green" fontcolor="black"]
 "c7auto4_monitor_30000 c7auto1" [ style=bold color="green" fontcolor="black"]
 "c7auto4_start_0 c7auto1" -> "c7auto4_monitor_30000 c7auto1" [ style = bold]
 "c7auto4_start_0 c7auto1" -> "fake2_monitor_10000 c7auto4" [ style = bold]
